distribution:	CCux
Packager:  	Karsten Brockmann <arcam@ccux-linux.de>
Summary:   	x86/AMD64 Assembler	
Name:      	yasm
Version:   	1.1.0
Release:   	1
Provides:  	yasm	
License : 	BSD/LGPL/GPL
url:		http://www.tortall.net/projects/yasm	
Group:     	Development/Other  
Source0: 	%{name}-%{version}.tar.gz
BuildRoot: 	%{_tmppath}/%{name}-buildroot
BuildArch:	i686
BuildRequires:	glibc-devel

%description
Yasm is a complete rewrite of the NASM assembler. 
Yasm currently supports the x86 and AMD64 instruction sets, accepts NASM and GAS assembler syntaxes, outputs binary, ELF32, ELF64, COFF, Win32, and Win64 object formats, and generates source debugging information in STABS, DWARF 2, and CodeView? 8 formats.

%package devel
Summary:        %{name} development headers.
Group:          %{group}
Requires:       %{name} = %{version}-%{release}

%description devel
Header and include files for developing applications with %{name}.

%post
ldconfig

%postun
ldconfig

%prep
%setup -q -n %{name}-%{version}

%build
./configure --prefix=%_prefix  --mandir=%_mandir -disable-debug
make

%install
rm -rf $RPM_BUILD_ROOT 
make install DESTDIR=$RPM_BUILD_ROOT
# strip debug symbols from binaries
find %{buildroot} -type f -exec /usr/bin/strip --strip-debug '{}' ';' 
 


%files
%defattr(-,root,root)
%_bindir/yasm
%_bindir/ytasm
%_bindir/vsyasm
%_mandir/man1/yasm.1.gz
%_mandir/man7/yasm_arch.7.gz
%_mandir/man7/yasm_dbgfmts.7.gz
%_mandir/man7/yasm_objfmts.7.gz
%_mandir/man7/yasm_parsers.7.gz

%files devel
%defattr(-,root,root)
%_includedir/libyasm
%_includedir/libyasm.h
%_includedir/libyasm-stdint.h
%_libdir/libyasm.a

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Mon Oct 04 2010 Karsten Brockmann <arcam@ccux-linux.de> 1.1.0-1
- Version update
* Tue May 25 2010 Karsten Brockmann <arcam@ccux-linux.de> 1.0.1-1
- Version update
* Mon Apr 12 2010 Karsten Brockmann <arcam@ccux-linux.de> 1.0.0-1
- Version update
* Mon Dec 14 2009 Karsten Brockmann <arcam@ccux-linux.de> 0.8.0-1
- Version update
* Sun May 25 2008 Karsten Brockmann <arcam@ccux-linux.de> 0.7.1-2
- added lzma compression enabled rpm as requirement
* Wed May 21 2008 Karsten Brockmann <arcam@ccux-linux.de> 0.7.1-1
- version update
* Wed May 07 2008 Karsten Brockmann <arcam@ccux-linux.de> 0.7.0-1
- version update
* Sun Feb 25 2007 Karsten Brockmann <arcam@ccux-linux.de> 0.6.0-1
- version update
* Fri Aug 25 2006 Karsten Brockmann <arcam@ccux-linux.de> 0.5.0-1
- version update
* Sat Jul 01 2006 Karsten Brockmann <arcam@ccux-linux.de> 0.5.0rc2-1
- Initial Release
